import { TCategory, TTag, TVenue } from "./types";

export class API {
    constructor(private baseAPIUrl: string) {}

    getVenues = async (): Promise<TVenue[]> => {
        const response = await fetch(`${this.baseAPIUrl}/venue`);
        return await response.json();
    }

    getCategories = async (): Promise<TCategory[]> => {
        const response = await fetch(`${this.baseAPIUrl}/category`);
        return await response.json();
    }

    getTags = async (): Promise<TTag[]> => {
        const response = await fetch(`${this.baseAPIUrl}/tag`);
        return await response.json();
    }
}