import { useQuery, useQueryClient } from "@tanstack/react-query";
import { TagSelector } from "../components/tag-selector";
import { VenueGrid } from "../components/venue-grid";
import { API } from "../lib/api";
import { Environment } from "../lib/environment";
import { TTag, TVenue } from "../lib/types";

export function Index() {
    const api = new API(Environment.BaseAPIUrl);

    const { data: venueData } = useQuery<TVenue[], Error>(["venues"], api.getVenues);

    const { data: tagData } = useQuery<TTag[], Error>(["tags"], api.getTags);

    // return(<div>{data?.map(d => `${d} |`)}</div>);
    return(
        <>
        <TagSelector tags={tagData ?? []}/>
            <VenueGrid venueData={venueData ?? []} />
        </>
    );
};